Bug 3822

Summary: Application menu should have enough top-level folders to match package sections
Product: [Maemo Official Platform] Desktop platform Reporter: Ryan Abel <rabelg5>
Component: Application MenuAssignee: unassigned <nobody>
Status: RESOLVED WONTFIX QA Contact: task-navigator-bugs
Severity: enhancement    
Priority: Low CC: andrew, andre_klapper, quim.gil, roope.rainisto, urho.konttori
Version: 5.0-beta   
Target Milestone: Harmattan   
Hardware: All   
OS: All   
URL: http://wiki.maemo.org/Task:Package_categories

Description Ryan Abel (reporter) maemo.org 2008-10-25 12:09:28 UTC
The package categories discussion is still ongoing[1], but the freedesktop.org
menu specification specifies 10 high-level sections: Accessories, Development,
Education, Games, Graphics, Multimedia, Network, Office, Settings, System.[2]
It'd be nice if the application menu were able to show at least enough
top-level folders to have a rough correlation.

Education and Development can probably be tossed out, bringing the total down
to 8 top-level folders. While probably not something that would be considered
for Diablo, it'd nice if it could at least be tossed into the discussion for
Fremantle.


[1]http://wiki.maemo.org/Task:Package_categories
[2]http://standards.freedesktop.org/menu-spec/latest/apa.html

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.3.0.105198
Comment 1 Quim Gil nokia 2008-10-27 09:50:10 UTC
Listed at http://wiki.maemo.org/Mainstream_Linux_Alignment
Comment 2 Roope Rainisto nokia 2009-02-23 13:34:03 UTC
Too late for Fremantle, but we're discussing this item in regards to Harmattan.
Comment 3 Quim Gil nokia 2009-05-21 15:03:34 UTC
The application menu in Fremantle is flat instead of tree based. All the
installed applications are in a same level.

In Harmattan the applications will be grouped by topics. Whether those topics
match the freedesktop.org specification or not is something to be seen. Once
Fremantle is out it will be clearer what is the situation of this request.
Comment 4 Andre Klapper maemo.org 2009-10-16 23:14:41 UTC
(Moving application menu bugs to new subcomponent "Application Menu"
(previously "Task navigator") and splitting up Application Menu and Application
Switcher (Dashboard) bugs.)
Comment 5 Urho Konttori 2010-01-04 22:25:06 UTC
It should be easy to create a script that makes the categories, (includes the
icons), and assigns the current applications to those categories hardcoded for
the nokia apps, and based on the dpkg-cache information for the 3rd party apps.
This should be pretty easy to do with marcoils work on #5743. 

But, it won't be done for fremantle. Fremantle is moving towards even flatter
list.
Comment 6 Andrew Flegg maemo.org 2010-01-04 22:29:37 UTC
(In reply to comment #5)
> It should be easy to create a script that makes the categories, (includes the
> icons), and assigns the current applications to those categories hardcoded for
> the nokia apps, and based on the dpkg-cache information for the 3rd party apps.

See also the "MyMenu" app being discussed at:

http://talk.maemo.org/showthread.php?t=39141
Comment 8 Urho Konttori 2010-02-20 22:59:23 UTC
New flat list has problems with your categorize code Jaffa. Just a heads up.
Comment 9 Andrew Flegg maemo.org 2010-02-21 12:33:52 UTC
(In reply to comment #8)
> New flat list has problems with your categorize code Jaffa. Just a heads up.

Thanks. Any chance of further info than "problems"; or is it a case of waiting
for PR1.2 to see? :-/
Comment 10 Andre Klapper maemo.org 2012-03-21 18:06:54 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia, hence resetting the ASSIGNED
status to NEW/UNCONFIRMED as nobody is working on this.

Note that very likely any feature requests for Maemo5 will not receive fixes
(WONTFIX) - I might mass-set this status in the future. There is a very small
chance for issues in open source components that contributed patches could be
included in the Maemo 5 CSSU Community updates - see http://wiki.maemo.org/CSSU
for more information.


For completeness (as Harmattan is mentioned in some reports), MeeGo 1.2
Harmattan used for the N9 and N950 is handled in
http://harmattan-bugs.nokia.com/ which has recently been closed for new bug
report entry [1].

[1]
http://www.developer.nokia.com/Community/Blogs/blog/n9-developer/2012/03/08/harmattan-bugzilla-closed-for-new-bugs
Comment 11 Andre Klapper maemo.org 2012-03-24 11:40:34 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )